# Class AbstractTlogDestination

#### Direct known subclasses

Thelia\Log\Destination\TlogDestinationFile, Thelia\Log\Destination\TlogDestinationHtml, Thelia\Log\Destination\TlogDestinationNull, Thelia\Log\Destination\TlogDestinationText
Abstract
Namespace: Thelia\Log
Located at core/lib/Thelia/Log/AbstractTlogDestination.php

Methods summary
`public` | # `__construct( )`
`public` | # `setConfig( mixed $name, mixed $value )`
`public` | # `getConfig( mixed $name )`
`public` | # `getConfigs( )`
`public` | # `SetBackOfficeMode( mixed $bool )`
`public` | # `add( mixed $string )`
`protected` | # `InsertAfterBody( mixed & $res, mixed $logdata )`
`protected` | # `configure( )`
`abstract public` | # `write( mixed & $res )`
`abstract public` | # `getTitle( )`
`abstract public` | # `getDescription( )`

Properties summary
`protected mixed` | $_configs | `` | #
`protected mixed` | $_logs | `` | #
`protected boolean` | $flag_back_office | `false` | #